backup/routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Repositories\UserRepository;
use App\Repositories\UserRepositoryContract;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ProductController;
use Illuminate\Http\Request;
use App\Models\User;
use App\Http\Controllers\ExportController;
use Carbon\Carbon;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {

//     // DB::table('users')->insert([
//     //     'name'=>'user1', 
//     //     'email'=>'user1#gmail.com', 
//     //     'email_verified_at'=> Carbon::now(), 
//     //     'password'=>'swdefrgthyujik',
//     //     'remember_token' => 'sdfghyjuk'
//     //     ]);


//     $users = DB::table('users')->where('name', 'Vidal Hirthe DDS')->get();
    
//     $usersEloquent = User::all();

//     dd($users,$usersEloquent );

//    return view('welcome');
// });
Route::get('/', function () {
    return view('welcome');
 });


Route::prefix('users')->name('user.')->group(function(){
    Route::get('/create', [UserController::class,'create'])->name('create');
    Route::get('/', [UserController::class, 'list'])->name('list');
    Route::get('/{id}', [UserController::class,'user'])->name('profile');
    //Route::post('/', [UserController::class,'store'])->name('store');
    Route::put('/{id}', [UserController::class,'update'])->name('profile.update');
    Route::delete('/{id}', [UserController::class,'delete'])->name('profile.delete');
    Route::get('/create-user', [UserController::class,'store'])->name('store');
});

Route::get('/create-user', [UserController::class,'store'])->name('store');

Route::get('/token', function (Request $request) {
    $token = $request->session()->token();

    $token = csrf_token();

    // ...
});

Route::resources([
    'products'=> ProductController::class
]);


Route::get('test', function(\Illuminate\Contracts\Hashing\Hasher $hasher) {
    dd($hasher->make('test'));  //contract
});

Route::get('test1', function() {
    dd(\Illuminate\Support\Facades\Hash::make('test')); //facade
});

Route::get('test2', function(UserRepositoryContract $userRepository){
    
dd($userRepository->byId(67));
});














// Route::get('/search', function() {
//     return view( 'search');
// });



// Route::get('/userdetails/{name}', [SearchController::class]);

// Route::get('/getname/{id}', [UserController::class, "fullName"]);


// Route::get('/admins', function () {
//     $admins = [
//         ['username' => 'usser1', 'name'=>'oleg'],
//         ['username' => 'usser2', 'name'=>'dima'],
//         ['username' => 'usser3', 'name'=>'ivan'],
//     ];
//     dd($admins);
//  });

// Route::get('/user/{id}', [UserController::class, 'user']);

// Route::get('export', ExportController::class);

// Route::get('request-test', function(Request $request) {
//     dd($request->input('b', 'default'));
// });



// Route::prefix('users')->name('user.')->group(function(){
//     Route::get('/', [UserController::class, 'list'])->name('list');
//     Route::get('/{id}', [UserController::class,'user'])->name('profile');
// });



Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

backup/app/Models/Product.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
}

backup/app/Http/Controllers/ProductController.php
<?php

namespace App\Http\Controllers;

use App\Models\Product;
use Illuminate\Http\Request;
use App\Repositories\ProductsRepository;

class ProductController extends Controller
{
    private $productsRepository;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct(ProductsRepository $productsRepository) 
    {
        $this->productsRepository = $productsRepository;
    }


    public function index()
    {

       return view('products.list', ['products' => $this->productsRepository->all()]);

       
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('products.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function show(Product $product)
    {
        return view('products.list');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit(Product $product)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Product $product)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy(Product $product)
    {
        //
    }
    
}

backup/resources/views/products/create.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

    <title>create</title>
</head>
<body>
    <div class="wrapper" style="width:60%; margin:0 auto">
        <form action="{{ route('user.store') }}" method = "post">
        @csrf

            <!-- Equivalent to... -->
            <input type="hidden" name="_token" value="{{ csrf_token() }}" />
            
            <div class="row" style="display:flex; flex-direction:column">
            <div class="col">
                <input type="text" class="form-control" placeholder="First name" aria-label="First name">
            </div>
            <div class="col">
                <input type="text" class="form-control" placeholder="Last name" aria-label="Last name">
            </div>
            <div class="col">
                <input type="text" class="form-control" placeholder="Email" aria-label="Email">
            </div>
            <div class="col">
                <input type="text" class="form-control" placeholder="Password" aria-label="Last name">
            </div>
            </div>
                <div class="d-grid gap-2 col-6 mx-auto">
                    <button class="btn btn-primary" type="submit">Submit</button>
                    <button class="btn btn-primary" type="button">Cancel</button>
                </div>  
        </form>
    </div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
</body>
</html>